Debian Bug report logs - #580034
perl: module deprecations in 5.12.0

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Mon, 3 May 2010 09:30:02 UTC

Severity: normal

Found in version perl/5.12.0-1

Fixed in version perl/5.12.1-1

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org:
Bug#580034; Package perl. (Mon, 03 May 2010 09:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org. (Mon, 03 May 2010 09:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: perl: module deprecations in 5.12.0
Date: Mon, 3 May 2010 12:26:43 +0300
Package: perl
Version: 5.12.0-1
User: debian-perl@lists.debian.org
Usertags: perl-5.12-transition
X-Debbugs-Cc: debian-perl@lists.debian.org

We need to decide what to do with the module deprecations in 5.12.0.

 $ perl -w -e 'use Class::ISA'
 Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at -e, line 1.

The modules being deprecated from the core are (from perl5120delta.pod):

 Class::ISA
 Pod::Plainer
 Shell
 Switch

Clearly these need to be packaged separately sooner or later.

The options I see are

A. Patch away the warning and do nothing until the modules are actually
   removed in 5.14.0. At that point, add dependencies or recommendations
   for the removed modules.

B. Package the modules separately now, recommend the new packages and patch
   the warning to direct to apt instead of CPAN. Downgrade to suggestions
   after one release cycle.

C. Package the modules separately now, depend on the new packages and don't
   install the core versions in the binary packages at all. Downgrade to
   recommendations or even suggestions after one release cycle.

I'm leaning towards C but B seems also like a good choice.  As I see it:

A is just postponing the issue for no clear benefit.

B is closest to the upstream way but has the drawback of needing two
copies of the deprecated code.

C fixes this and offers a slightly smoother transition for people ignoring
recommendations.  However, like A it postpones any breakage until later,
possibly creating confusion because our deprecation schedule differs
from the upstream one.

Input would be welcome.

The separate packages would naturally fit with the pkg-perl group. I'd be glad
if somebody would like to help and package them.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#580034; Package perl. (Mon, 03 May 2010 11:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Mon, 03 May 2010 11:18:11 GMT) Full text and rfc822 format available.

Message #10 received at 580034@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Niko Tyni <ntyni@debian.org>, 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Mon, 3 May 2010 11:52:21 +0100
On Mon, May 03, 2010 at 12:26:43PM +0300, Niko Tyni wrote:
> We need to decide what to do with the module deprecations in 5.12.0.
> 
>  $ perl -w -e 'use Class::ISA'
>  Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at -e, line 1.
> 
> The modules being deprecated from the core are (from perl5120delta.pod):
> 
>  Class::ISA
>  Pod::Plainer
>  Shell
>  Switch
> 
> Clearly these need to be packaged separately sooner or later.
> 
> The options I see are
> 
> A. Patch away the warning and do nothing until the modules are actually
>    removed in 5.14.0. At that point, add dependencies or recommendations
>    for the removed modules.
> 
> B. Package the modules separately now, recommend the new packages and patch
>    the warning to direct to apt instead of CPAN. Downgrade to suggestions
>    after one release cycle.
> 
> C. Package the modules separately now, depend on the new packages and don't
>    install the core versions in the binary packages at all. Downgrade to
>    recommendations or even suggestions after one release cycle.
> 
> I'm leaning towards C but B seems also like a good choice.  As I see it:
> 
> A is just postponing the issue for no clear benefit.
> 
> B is closest to the upstream way but has the drawback of needing two
> copies of the deprecated code.
> 
> C fixes this and offers a slightly smoother transition for people ignoring
> recommendations.  However, like A it postpones any breakage until later,
> possibly creating confusion because our deprecation schedule differs
> from the upstream one.
> 
> Input would be welcome.

I think I prefer B - it should make the transition less painful in the
long run.

We should also try and file bugs against packages using these modules,
if we can, once the separate packages are available.
 
> The separate packages would naturally fit with the pkg-perl group. I'd be glad
> if somebody would like to help and package them.

I'll look at doing that today.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#580034; Package perl. (Mon, 03 May 2010 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Mon, 03 May 2010 13:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 580034@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: debian-perl@lists.debian.org
Cc: 580034@bugs.debian.org
Subject: Re: Bug#580059: ITP: libswitch-perl -- A switch statement for Perl
Date: Mon, 3 May 2010 14:31:39 +0100
On Mon, May 03, 2010 at 03:27:47PM +0200, Salvatore Bonaccorso wrote:

> > Is there a sane reason for wanting to include this? 
> > 
> > For perl 5.10 and later you have the given/when statement which does
> > the same in a much less fragile way. Please don't write new code using
> > Switch.pm module.
> > 
> > At least add a big warning in the description that this is a obsolete
> > module and using given/when with perl 5.10 is very much prefered.
> 
> I think the rationale about packaging this separately is that one
> which is discussed by Nico Tyni in http://bugs.debian.org/580034

Yes, and I should have referenced that in the ITPs, sorry.

I realise that these modules are likely to be less useful given that
they're being taken out of core, but they may still be needed. In fact
I plan to survey packages depending on perl in order to find out the
scope of usage; if it's very low and packages can be fixed, maybe we
can avoid packaging them all separately.

Peter, thanks for the feedback.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added blocking bug(s) of 580034: 580056, 580058, 580055, and 580059 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 03 May 2010 16:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#580034; Package perl. (Mon, 03 May 2010 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Mon, 03 May 2010 20:00:03 GMT) Full text and rfc822 format available.

Message #22 received at 580034@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Mon, 3 May 2010 22:57:23 +0300
On Mon, May 03, 2010 at 11:52:21AM +0100, Dominic Hargreaves wrote:
 
> I think I prefer B - it should make the transition less painful in the
> long run.

That one is also fine by me.

> We should also try and file bugs against packages using these modules,
> if we can, once the separate packages are available.

Grep results so far on my rebuild logs of 1800 or so packages show
nothing for Shell and Pod::Plainer, and just

Switch
 libhtml-mason-perl_1.44-1

Class::ISA
 libcgi-application-extra-plugin-bundle-perl_0.1
 libcgi-application-perl_4.31-1
 libclass-insideout-perl_1.10-1
 libclass-meta-perl_0.63-1
 libclass-virtual-perl_0.06-2
 libdata-treedumper-perl_0.37-1
 libemail-abstract-perl_3.001-1
 libmasonx-interp-withcallbacks-perl_1.18-1
 libparams-callbackrequest-perl_1.19-1
 libtemplate-declare-perl_0.43-1
 
so this doesn't look like a huge issue.
-- 
Niko




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#580034; Package perl. (Tue, 04 May 2010 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Tue, 04 May 2010 13:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 580034@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Niko Tyni <ntyni@debian.org>, 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Tue, 4 May 2010 13:59:55 +0100
On Mon, May 03, 2010 at 10:57:23PM +0300, Niko Tyni wrote:
> On Mon, May 03, 2010 at 11:52:21AM +0100, Dominic Hargreaves wrote:
>  
> > I think I prefer B - it should make the transition less painful in the
> > long run.
> 
> That one is also fine by me.
> 
> > We should also try and file bugs against packages using these modules,
> > if we can, once the separate packages are available.
> 
> Grep results so far on my rebuild logs of 1800 or so packages show
> nothing for Shell and Pod::Plainer, and just
> 
> Switch
>  libhtml-mason-perl_1.44-1
> 
> Class::ISA
>  libcgi-application-extra-plugin-bundle-perl_0.1
>  libcgi-application-perl_4.31-1
>  libclass-insideout-perl_1.10-1
>  libclass-meta-perl_0.63-1
>  libclass-virtual-perl_0.06-2
>  libdata-treedumper-perl_0.37-1
>  libemail-abstract-perl_3.001-1
>  libmasonx-interp-withcallbacks-perl_1.18-1
>  libparams-callbackrequest-perl_1.19-1
>  libtemplate-declare-perl_0.43-1
>  
> so this doesn't look like a huge issue.

Indeed. Instinct tells me we shouldn't bother packaging Shell or
Pod::Plainer, and possibly not Switch either (a quick inspection reveals
that it's only used by a test suite which will skip the test if it's
not loadable).

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#580034; Package perl. (Thu, 06 May 2010 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Thu, 06 May 2010 20:39:06 GMT) Full text and rfc822 format available.

Message #32 received at 580034@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Thu, 6 May 2010 23:37:26 +0300
On Tue, May 04, 2010 at 01:59:55PM +0100, Dominic Hargreaves wrote:
> On Mon, May 03, 2010 at 10:57:23PM +0300, Niko Tyni wrote:
> > On Mon, May 03, 2010 at 11:52:21AM +0100, Dominic Hargreaves wrote:

> > > We should also try and file bugs against packages using these modules,
> > > if we can, once the separate packages are available.

> > so this doesn't look like a huge issue.
> 
> Indeed. Instinct tells me we shouldn't bother packaging Shell or
> Pod::Plainer, and possibly not Switch either (a quick inspection reveals
> that it's only used by a test suite which will skip the test if it's
> not loadable).

I'm a bit undecided on this.

One piece of useful input to this would be a more extensive search for any
uses of the three other modules. The build logs I grepped only include
lib*-perl modules, any other XS modules (distinguished by the perlapi-*
dependency) and all libperl5.10 reverse dependencies.

There are probably plenty of Perl applications and the like in the
archive that haven't been checked yet. I wonder if there is still a
developer accessible "lintian lab" of unpacked source packages somewhere?

Another thing: I've just tried to install all the three with /usr/bin/cpan
and /usr/bin/cpanp, and Switch and Pod::Plainer worked fine and installed
to /usr/local as they should.

However, there's a problem with Shell because it is at 0.72_01 in the
core, which is considered a development version on CPAN.  Getting either
of the programs to reinstall 0.72_01 is not easy, and forcing a downgrade
to 0.72 doesn't seem like a good idea (although the diff is pretty small
there seems to be one new feature in 0.72_01.)

This may be a good enough reason to package libshell-perl unless/until
things get sorted out on the CPAN side.

As for the rest, packaging them for the lifetime of a single release
would avoid breakage for those users who have legacy Perl scripts and
who don't see the deprecation warnings for one reason or another.

The recommendations would pull the separate packages onto the systems
automatically, and removing them from the Debian archive later wouldn't
remove them from their systems.

Having said all this, I certainly agree that packaging obsolete modules
that aren't even used anywhere feels wrong.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#580034; Package perl. (Fri, 07 May 2010 13:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Fri, 07 May 2010 13:57:08 GMT) Full text and rfc822 format available.

Message #37 received at 580034@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Fri, 7 May 2010 16:54:52 +0300
On Thu, May 06, 2010 at 11:37:26PM +0300, Niko Tyni wrote:
> On Tue, May 04, 2010 at 01:59:55PM +0100, Dominic Hargreaves wrote:

> > Indeed. Instinct tells me we shouldn't bother packaging Shell or
> > Pod::Plainer, and possibly not Switch either (a quick inspection reveals
> > that it's only used by a test suite which will skip the test if it's
> > not loadable).

> One piece of useful input to this would be a more extensive search for any
> uses of the three other modules. The build logs I grepped only include
> lib*-perl modules, any other XS modules (distinguished by the perlapi-*
> dependency) and all libperl5.10 reverse dependencies.
> 
> There are probably plenty of Perl applications and the like in the
> archive that haven't been checked yet. I wonder if there is still a
> developer accessible "lintian lab" of unpacked source packages somewhere?

It turns out the lintian lab is accessible at lintian.d.o but doesn't
have unpacked source packages.

So I did it myself and grepped through 3394 unpacked source packages
(those that build depend on perl, or produce binary packages that depend,
recommend, or suggest perl).

Results of grepping for "use module" and "require module" follow. I've put
the raw data available at
 http://people.debian.org/~ntyni/perl/deprecated-modules.txt.gz
in case someone wants to conduct a more comprehensive search.

I had a quick look through these and removed a few false positives,
but there may still be some left.

Switch
	calamaris
	fts
	gbackground
	gcstar
	gosa
	gosa-perl
	gpsdrive
	kdesdk
	libdata-alias-perl
	libdata-format-html-perl
	libfinance-bank-ie-permanenttsb-perl
	libgnome2-vfs-perl # example
	libhtml-mason-perl
	nordugrid-arc-nox
	openoffice.org
	pacpl
	xmltv
	xtlf
Shell
	bioperl # example
	boson-data
	kdelibs
	ksensors
	libnet-dns-zone-parser-perl
	libnet-upnp-perl # example
	libqt-perl
	pbnj
	quiteinsanegimpplugin
	regina-normal
	vdradmin-am
Pod::Plainer
Class::ISA
	grid-packaging-tools
	libcgi-application-perl
	libclass-insideout-perl
	libclass-meta-perl
	libclass-virtual-perl
	libdata-treedumper-perl
	libemail-abstract-perl
	libmasonx-interp-withcallbacks-perl
	libparams-callbackrequest-perl
	libtemplate-declare-perl

Note that this doesn't catch packages that need a separate unpack step,
which is why libcgi-application-extra-plugin-bundle-perl from
the earlier list is missing.

Preliminary conclusion: we're going to need at least three of the four
modules packaged, and I'm inclined to throw in Pod::Plainer as well
for the sake of completeness although nothing in Debian uses it.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#580034; Package perl. (Mon, 10 May 2010 09:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Mon, 10 May 2010 09:51:07 GMT) Full text and rfc822 format available.

Message #42 received at 580034@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Niko Tyni <ntyni@debian.org>
Cc: 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Mon, 10 May 2010 10:48:30 +0100
On Fri, May 07, 2010 at 04:54:52PM +0300, Niko Tyni wrote:

> It turns out the lintian lab is accessible at lintian.d.o but doesn't
> have unpacked source packages.
> 
> So I did it myself and grepped through 3394 unpacked source packages
> (those that build depend on perl, or produce binary packages that depend,
> recommend, or suggest perl).
> 
> Results of grepping for "use module" and "require module" follow. I've put
> the raw data available at
>  http://people.debian.org/~ntyni/perl/deprecated-modules.txt.gz
> in case someone wants to conduct a more comprehensive search.
> 
> I had a quick look through these and removed a few false positives,
> but there may still be some left.

[snip results]

> Preliminary conclusion: we're going to need at least three of the four
> modules packaged, and I'm inclined to throw in Pod::Plainer as well
> for the sake of completeness although nothing in Debian uses it.

Yep, makes sense.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#580034; Package perl. (Wed, 12 May 2010 20:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Wed, 12 May 2010 20:45:07 GMT) Full text and rfc822 format available.

Message #47 received at 580034@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Niko Tyni <ntyni@debian.org>
Cc: 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Wed, 12 May 2010 21:41:12 +0100
On Mon, May 10, 2010 at 10:48:30AM +0100, Dominic Hargreaves wrote:
> On Fri, May 07, 2010 at 04:54:52PM +0300, Niko Tyni wrote:
> 
> > It turns out the lintian lab is accessible at lintian.d.o but doesn't
> > have unpacked source packages.
> > 
> > So I did it myself and grepped through 3394 unpacked source packages
> > (those that build depend on perl, or produce binary packages that depend,
> > recommend, or suggest perl).
> > 
> > Results of grepping for "use module" and "require module" follow. I've put
> > the raw data available at
> >  http://people.debian.org/~ntyni/perl/deprecated-modules.txt.gz
> > in case someone wants to conduct a more comprehensive search.
> > 
> > I had a quick look through these and removed a few false positives,
> > but there may still be some left.
> 
> [snip results]
> 
> > Preliminary conclusion: we're going to need at least three of the four
> > modules packaged, and I'm inclined to throw in Pod::Plainer as well
> > for the sake of completeness although nothing in Debian uses it.
> 
> Yep, makes sense.

All four are now in or on their way to NEW.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#580034; Package perl. (Mon, 17 May 2010 11:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Mon, 17 May 2010 11:39:09 GMT) Full text and rfc822 format available.

Message #52 received at 580034@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Mon, 17 May 2010 14:36:48 +0300
On Mon, May 03, 2010 at 12:26:43PM +0300, Niko Tyni wrote:

>  Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at -e, line 1.
 
> The modules being deprecated from the core are (from perl5120delta.pod):
> 
>  Class::ISA
>  Pod::Plainer
>  Shell
>  Switch

Hm, I now noticed that Shell doesn't actually display the deprecation
warning although it's documented to do so in pod/perl5120delta.pod.

This seems unintentional; I've just notified upstream. We'll see if it means
the Shell deprecation must be delayed by one upstream release or not. Not
sure if that necessarily affects what we do.
-- 
Niko Tyni   ntyni@debian.org




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Tue, 18 May 2010 06:36:09 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Tue, 18 May 2010 06:36:09 GMT) Full text and rfc822 format available.

Message #57 received at 580034-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 580034-close@bugs.debian.org
Subject: Bug#580034: fixed in perl 5.12.1-1
Date: Tue, 18 May 2010 06:33:47 +0000
Source: perl
Source-Version: 5.12.1-1

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.12.1-1_all.deb
  to main/p/perl/libcgi-fast-perl_5.12.1-1_all.deb
libperl-dev_5.12.1-1_amd64.deb
  to main/p/perl/libperl-dev_5.12.1-1_amd64.deb
libperl5.12_5.12.1-1_amd64.deb
  to main/p/perl/libperl5.12_5.12.1-1_amd64.deb
perl-base_5.12.1-1_amd64.deb
  to main/p/perl/perl-base_5.12.1-1_amd64.deb
perl-debug_5.12.1-1_amd64.deb
  to main/p/perl/perl-debug_5.12.1-1_amd64.deb
perl-doc_5.12.1-1_all.deb
  to main/p/perl/perl-doc_5.12.1-1_all.deb
perl-modules_5.12.1-1_all.deb
  to main/p/perl/perl-modules_5.12.1-1_all.deb
perl_5.12.1-1.debian.tar.gz
  to main/p/perl/perl_5.12.1-1.debian.tar.gz
perl_5.12.1-1.dsc
  to main/p/perl/perl_5.12.1-1.dsc
perl_5.12.1-1_amd64.deb
  to main/p/perl/perl_5.12.1-1_amd64.deb
perl_5.12.1.orig.tar.bz2
  to main/p/perl/perl_5.12.1.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580034@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 May 2010 16:16:54 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.12 libperl-dev perl
Architecture: source all amd64
Version: 5.12.1-1
Distribution: experimental
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.12 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 579521 580034
Changes: 
 perl (5.12.1-1) experimental; urgency=low
 .
   * New upstream release.
     + upgrade the conflict versions of updated modules.
   * Transition away from the deprecated core modules
     (Shell, Switch, Pod::Plainer, Class::ISA). (Closes: #580034)
     + Recommend the now separately packaged versions
     + Modify the deprecation warnings to point to the Debian packages
       instead of CPAN.
   * Break libmarc-charset-perl (<< 1.2) because the earlier versions
     were sensitive to Perl ABI changes like use64bitint. (Closes: #579521)
Checksums-Sha1: 
 bed44064c22629150eba32027aed78c45805435b 1423 perl_5.12.1-1.dsc
 75a8a17cec15d68c6bb959b0aa9879d2ded6f90d 12296076 perl_5.12.1.orig.tar.bz2
 3f576e2f5a94a6ddacc2e8f6582bf83c3995f610 80085 perl_5.12.1-1.debian.tar.gz
 2adfb93d3092f01810671d3dc64db3e3b24c2559 53268 libcgi-fast-perl_5.12.1-1_all.deb
 7d199f3fde25a129b816f89174e056c37ba53c56 7486740 perl-doc_5.12.1-1_all.deb
 07db22399574cfea4f7e0807c07c44128ec68572 4749754 perl-modules_5.12.1-1_all.deb
 1d577fb25de5c9d28351efeef8ea7fd6a4b7d53a 1477810 perl-base_5.12.1-1_amd64.deb
 e1c156b172eeeabfa37fe8597daacfd1ce3ec146 5885470 perl-debug_5.12.1-1_amd64.deb
 9fc252301b6b3fbaffc831e276dfd0bcb640e581 1150 libperl5.12_5.12.1-1_amd64.deb
 52a9fa5e01e6aadb73f9b0445ed5069c09d311ea 2572032 libperl-dev_5.12.1-1_amd64.deb
 85fa2a0fc7a85deef18fdeec4f285d3388eccffb 4216058 perl_5.12.1-1_amd64.deb
Checksums-Sha256: 
 f43dcc5e21438e5b8e30dd45fad92222ded55752e3d5a56c7df1bf5f44bbbc17 1423 perl_5.12.1-1.dsc
 e9189f09447b2b90a1d186b418f91e583eba41eec238e8f5b8730f71d5fc1ec5 12296076 perl_5.12.1.orig.tar.bz2
 c56ac4e6bc47191e4c3b7bfdb247720be9d7948577ef9e40b07bc831a473c178 80085 perl_5.12.1-1.debian.tar.gz
 808557ec2af2488f765b9946e1fd834a98599189fcda2b93c28f6e7ce3bbb7aa 53268 libcgi-fast-perl_5.12.1-1_all.deb
 2ee64970bbcca04890750e4d34ebe716330af2e19e99aa9f6de3714744e8d2bb 7486740 perl-doc_5.12.1-1_all.deb
 afaf28db2aa4fcb77a649227dc2720d56a6342311a376ca34b64f1196179873c 4749754 perl-modules_5.12.1-1_all.deb
 121a6abb517cd5e69513663307f3a366ef8b100a7d018580d825accc9f81bf98 1477810 perl-base_5.12.1-1_amd64.deb
 7071704d0a1ddcbc9b1836fa8958f46e6f00c89ba3de5adf599d5615777e12d8 5885470 perl-debug_5.12.1-1_amd64.deb
 f44f671b321ff8489e55b78fb7d2f4a6e2f6b31ebbc94e37cab480ebd5240a22 1150 libperl5.12_5.12.1-1_amd64.deb
 518955689dd1681713bd932aa8851a908b36a65e79e10629d32768f5449944d1 2572032 libperl-dev_5.12.1-1_amd64.deb
 ca7a414a3cc59e2b87f9eb531f83f09831b929e6c2f09572b39a20b962fb3706 4216058 perl_5.12.1-1_amd64.deb
Files: 
 2d9ddd5dfe4bcbd3bffd112e89a006d4 1423 perl standard perl_5.12.1-1.dsc
 f7f2d7f5aaac15a75028381b159a560f 12296076 perl standard perl_5.12.1.orig.tar.bz2
 f6b40607ec51e030f8289adaf05fb15b 80085 perl standard perl_5.12.1-1.debian.tar.gz
 bafb9c8d8e106904bd7d18393dd03823 53268 perl optional libcgi-fast-perl_5.12.1-1_all.deb
 5bae579925a57d428fd9b9dff2767426 7486740 doc optional perl-doc_5.12.1-1_all.deb
 db972dd5e23b2ded36c589e15c59b871 4749754 perl standard perl-modules_5.12.1-1_all.deb
 531aec4a2a3acdaef9824d8aec7c8ce1 1477810 perl required perl-base_5.12.1-1_amd64.deb
 c1c93cf906bb38f352e7d8f37057b91d 5885470 debug extra perl-debug_5.12.1-1_amd64.deb
 5691159729556dec2248243249961235 1150 libs optional libperl5.12_5.12.1-1_amd64.deb
 93d96e397f9e9c11450c6a2b209acb83 2572032 libdevel optional libperl-dev_5.12.1-1_amd64.deb
 cf1efabbb2dc2b4b39af05b4980376d6 4216058 perl standard perl_5.12.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvxn/wACgkQiyizGWoHLTmo6gCgkSAw8owD7HWGQ0TxmOydyuWu
tQUAn3QzuF85KWwScnMfEwR1KtIVrqVs
=f0rt
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#580034; Package perl. (Tue, 18 May 2010 19:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Tue, 18 May 2010 19:33:06 GMT) Full text and rfc822 format available.

Message #62 received at 580034@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 580034@bugs.debian.org
Cc: 580056@bugs.debian.org, Dominic Hargreaves <dom@earth.li>
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Tue, 18 May 2010 22:30:38 +0300
On Mon, May 17, 2010 at 02:36:48PM +0300, Niko Tyni wrote:
> On Mon, May 03, 2010 at 12:26:43PM +0300, Niko Tyni wrote:
> 
> >  Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at -e, line 1.
>  
> > The modules being deprecated from the core are (from perl5120delta.pod):
> > 
> >  Class::ISA
> >  Pod::Plainer
> >  Shell
> >  Switch
> 
> Hm, I now noticed that Shell doesn't actually display the deprecation
> warning although it's documented to do so in pod/perl5120delta.pod.
> 
> This seems unintentional; I've just notified upstream. We'll see if it means
> the Shell deprecation must be delayed by one upstream release or not. Not
> sure if that necessarily affects what we do.

Upstream is going to keep Shell around for 5.14 and (presumably) remove
it in 5.16 because of this issue. I suppose we don't therefore need a
separate libshell-perl for now.

 http://www.nntp.perl.org/group/perl.perl5.porters/2010/05/msg160155.html

Dominic, I think we should ask ftpmaster to reject libshell-perl from
NEW. Do you agree?
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#580034; Package perl. (Tue, 25 May 2010 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Tue, 25 May 2010 14:06:03 GMT) Full text and rfc822 format available.

Message #67 received at 580034@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Niko Tyni <ntyni@debian.org>
Cc: 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Tue, 25 May 2010 15:04:09 +0100
On Fri, May 07, 2010 at 04:54:52PM +0300, Niko Tyni wrote:
> It turns out the lintian lab is accessible at lintian.d.o but doesn't
> have unpacked source packages.
> 
> So I did it myself and grepped through 3394 unpacked source packages
> (those that build depend on perl, or produce binary packages that depend,
> recommend, or suggest perl).
> 
> Results of grepping for "use module" and "require module" follow. I've put
> the raw data available at
>  http://people.debian.org/~ntyni/perl/deprecated-modules.txt.gz
> in case someone wants to conduct a more comprehensive search.
> 
> I had a quick look through these and removed a few false positives,
> but there may still be some left.
> 
> Switch
> 	calamaris
> 	fts
> 	gbackground
> 	gcstar
> 	gosa
> 	gosa-perl
> 	gpsdrive
> 	kdesdk
> 	libdata-alias-perl
> 	libdata-format-html-perl
> 	libfinance-bank-ie-permanenttsb-perl
> 	libgnome2-vfs-perl # example
> 	libhtml-mason-perl
> 	nordugrid-arc-nox
> 	openoffice.org
> 	pacpl
> 	xmltv
> 	xtlf
> Shell
> 	bioperl # example
> 	boson-data
> 	kdelibs
> 	ksensors
> 	libnet-dns-zone-parser-perl
> 	libnet-upnp-perl # example
> 	libqt-perl
> 	pbnj
> 	quiteinsanegimpplugin
> 	regina-normal
> 	vdradmin-am
> Pod::Plainer
> Class::ISA
> 	grid-packaging-tools
> 	libcgi-application-perl
> 	libclass-insideout-perl
> 	libclass-meta-perl
> 	libclass-virtual-perl
> 	libdata-treedumper-perl
> 	libemail-abstract-perl
> 	libmasonx-interp-withcallbacks-perl
> 	libparams-callbackrequest-perl
> 	libtemplate-declare-perl

Now that libclass-isa-perl, libswitch-perl, libpod-plainer-perl are
in unstable, we should let affected maintainers know. I'll send a
dd-list of this, with an explanation of the issue, to debian-devel
shortly. I think we're still working on the assumption that we'd like
to get Perl 5.12 into squeeze?

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#580034; Package perl. (Tue, 25 May 2010 15:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Tue, 25 May 2010 15:51:11 GMT) Full text and rfc822 format available.

Message #72 received at 580034@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Tue, 25 May 2010 18:50:39 +0300
On Tue, May 25, 2010 at 03:04:09PM +0100, Dominic Hargreaves wrote:

> Now that libclass-isa-perl, libswitch-perl, libpod-plainer-perl are
> in unstable, we should let affected maintainers know. I'll send a
> dd-list of this, with an explanation of the issue, to debian-devel
> shortly. I think we're still working on the assumption that we'd like
> to get Perl 5.12 into squeeze?

I think it's a bit early for such an announcement.

5.12 in squeeze is up to the release team, but even if it does make it,
there's no real hurry to get all those dependencies added. The only
harm is the warnings in build logs [1]; they won't show up in normal
use because perl Recommends the separate packages.

The dependencies are really needed for 5.14, so we've got the whole
next release cycle to add them.

OTOH adding the dependencies now is sort of harmful if we end up with
5.10 in squeeze: we then have the code duplication for no benefit. I'm
almost inclined to file RC bugs on the three packages to keep them out
of squeeze without 5.12.

[1] there's one exception: sd actually fails to build because of the
    warning, but it's the only one I've encountered

Hope this makes sense, let me know if I'm missing something.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#580034; Package perl. (Tue, 25 May 2010 19:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. (Tue, 25 May 2010 19:21:09 GMT) Full text and rfc822 format available.

Message #77 received at 580034@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Tue, 25 May 2010 22:19:56 +0300
On Tue, May 25, 2010 at 04:54:00PM +0100, Dominic Hargreaves wrote:

> Filing the RC bugs would be worthwhile, as long as we have a sure way
> of remembering to close them at the right point. I guess perl 5.12
> itself would be kept out of testing because of such RC bugs since it
> recommends them.

I doubt britney looks at recommendations for testing migration.

Let's go ahead with the RC bugs, it shouldn't hurt at this point.
As long as the bugs have the perl-5.12-transition usertag, I'm
sure they will get closed when it's time.

I also think the 5.10.1 packages should Provide: libclass-isa-perl and
the others. That way people can start adding (non-versioned) dependencies
with no ill effects. I'll probably add them for the next upload.

(switching to the bug again so I can refer to this easily in changelogs)
-- 
Niko




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#580034; Package perl. (Fri, 04 Jun 2010 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 04 Jun 2010 09:45:03 GMT) Full text and rfc822 format available.

Message #82 received at 580034@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Niko Tyni <ntyni@debian.org>, 580034@bugs.debian.org
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Fri, 4 Jun 2010 10:14:18 +0100
On Tue, May 25, 2010 at 10:19:56PM +0300, Niko Tyni wrote:
> On Tue, May 25, 2010 at 04:54:00PM +0100, Dominic Hargreaves wrote:
> 
> > Filing the RC bugs would be worthwhile, as long as we have a sure way
> > of remembering to close them at the right point. I guess perl 5.12
> > itself would be kept out of testing because of such RC bugs since it
> > recommends them.
> 
> I doubt britney looks at recommendations for testing migration.
> 
> Let's go ahead with the RC bugs, it shouldn't hurt at this point.
> As long as the bugs have the perl-5.12-transition usertag, I'm
> sure they will get closed when it's time.

Okay, I've filed the bugs now.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Jul 2010 07:35:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:43:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.